Name: H5Rdereference
Signature:
  hid_t `H5Rdereference`(hid_t `obj_id`, H5R_type_t `ref_type`, void *`ref` )
Purpose:
  Opens the HDF5 object referenced.
Description:
  Given a reference, `ref`, to an object or a region in an object, `H5Rdereference` opens that object and returns an identifier.

  The parameter `obj_id` must be a valid identifier for an object in the HDF5 file containing the referenced object, including the file identifier.

  The parameter `ref_type` specifies the reference type of `ref`. `ref_type` may contain either of the following values:

  - `H5R_OBJECT` (`0`)
  - `H5R_DATASET_REGION` (`1`)
Parameters:

hid_t `obj_id` | IN: Valid identifier for the file containing the referenced object or any object in that file.
H5R_type_t `ref_type` | IN: The reference type of `ref`.
void *`ref` | IN: Reference to open.

Returns:
  Returns identifier of referenced object if successful; otherwise returns a negative value.
Fortran90 Interface: h5rdereference_f

To dereference an object

      SUBROUTINE h5rdereference_f(obj_id, ref, ref_obj_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: obj_id        ! Valid identifier
                                                    ! in file
        TYPE(hobj_ref_t_f), INTENT(IN) :: ref       ! Object reference
        INTEGER(HID_T), INTENT(OUT) :: ref_obj_id   ! Identifier of
                                                    ! referenced object
        INTEGER, INTENT(OUT) :: hdferr              ! Error code

      END SUBROUTINE h5rdereference_f

To dereference a region

      SUBROUTINE h5rdereference_f(obj_id, ref, ref_obj_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: obj_id         ! Valid identifier
                                                     ! in file
        TYPE(hdset_reg_ref_t_f), INTENT(IN) :: ref   ! Object reference
        INTEGER(HID_T), INTENT(OUT) :: ref_obj_id    ! Identifier of
                                                     ! referenced object
        INTEGER, INTENT(OUT) :: hdferr               ! Error code

      END SUBROUTINE h5rdereference_f